CREATE TABLE grc_suv_template_b (
    TEMPLATE_ID              NUMBER(18, 0) ,
    EFFECTIVE_SEQUENCE       NUMBER(4, 0)      NOT NULL,
    REVISION_DATE            TIMESTAMP(6)  ,
    REVISION_NUMBER          NUMBER(4, 0)      NOT NULL,
    SURVEY_TYPE              VARCHAR2(120) ,
    STATE_CODE               VARCHAR2(120)     NOT NULL,
    STATE_DATE               TIMESTAMP(6)  ,
    LAST_STATE_CODE          VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    STATUS                   VARCHAR2(120)     NOT NULL,
    REVIEW_START_DATE        TIMESTAMP(6)  ,
    APPROVE_COMPLETE_DATE    TIMESTAMP(6)  ,
    SEEDED                   VARCHAR2(4)       NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    REVIEWED_DATE            TIMESTAMP(6)  ,
    APPROVED_DATE            TIMESTAMP(6)  ,
    APPROVED_BY              VARCHAR2(256) ,
    REVIEWED_BY              VARCHAR2(256) ,
    REVISION_SUBMITTED_BY    VARCHAR2(256) ,
    IS_ACTIVE                NUMBER(1, 0)  ,
    IS_SEEDED                NUMBER(1, 0)  ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    TEMPLATE_ID              NUMBER(18, 0) ,
    EFFECTIVE_SEQUENCE       NUMBER(4, 0)      NOT NULL,
    REVISION_DATE            TIMESTAMP(6)  ,
    REVISION_NUMBER          NUMBER(4, 0)      NOT NULL,
    SURVEY_TYPE              VARCHAR2(120) ,
    STATE_CODE               VARCHAR2(120)     NOT NULL,
    STATE_DATE               TIMESTAMP(6)  ,
    LAST_STATE_CODE          VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    STATUS                   VARCHAR2(120)     NOT NULL,
    REVIEW_START_DATE        TIMESTAMP(6)  ,
    APPROVE_COMPLETE_DATE    TIMESTAMP(6)  ,
    SEEDED                   VARCHAR2(4)       NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    REVIEWED_DATE            TIMESTAMP(6)  ,
    APPROVED_DATE            TIMESTAMP(6)  ,
    APPROVED_BY              VARCHAR2(256) ,
    REVIEWED_BY              VARCHAR2(256) ,
    REVISION_SUBMITTED_BY    VARCHAR2(256) ,
    IS_ACTIVE                NUMBER(1, 0)  ,
    IS_SEEDED                NUMBER(1, 0)  ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_grc_suv_template_b PRIMARY KEY (TEMPLATE_ID, TEMPLATE_ID)
);
